import java.util.*;
import java.io.*;


/**
 * Created by IntelliJ IDEA.
 * User: m09kiv
 * Date: 21.10.2009
 * Time: 17:33:01
 * To change this template use File | Settings | File Templates.
 */
public class countw {
    public static void main(String[] ags) throws Exception{
        Scanner in = new Scanner(new File("count.in"));
        PrintWriter out = new PrintWriter(new File("count.out"));
        String s1 = in.next();
        String s2 = in.next();
        int k=0;
        for (int i=0;i<=s1.length()-s2.length();i++){
            
            if ( s2.equals(s1.substring(i,i+s2.length()))) {
                k++;
            }
        }
        out.println(k);
        in.close();
        out.close();
    }
}